version: "3.3"

services:

   grav:
        image: ghcr.io/hughbris/grav-daddy
        container_name: grav-caddy
        domainname: local
        hostname: grav-caddy
        restart: unless-stopped
        ports:
            - 127.0.0.1:2015:2015
        volumes:
            - ./user:/var/www/grav/user
            - /etc/timezone:/etc/timezone:ro
            - /etc/localtime:/etc/localtime:ro
            - ./php:/usr/local/etc/php
        environment:
            - PUID=1000
            - PGID=1000
            - ACME_AGREE=true
            # - GRAV_SCHEDULER=true # defaults to false currently
            - ROBOTS_DISALLOW=true # defaults to false, set true for staging envornments etc, see extras/robots.disallow.txt for more discussion
            # - GRAV_MULTISITE=dir # yet to be implemented
